@rem  Licensed Materials - Property of IBM
@rem  5724-M24
@rem  (C) Copyright IBM Corporation 2007. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off
setlocal

if (%1) == (?) goto showusage
if (%1) == () goto showusage
set MM_TO_MIGRATE=%1

set MIGRATION_PLUGIN_DIR=%~dp0
pushd .
cd %MIGRATION_PLUGIN_DIR%
set MONITOR_PLUGIN_HOME=..
set JAVA_EXE=java.exe
set MM_MIGRATION=com.ibm.wbimonitor.xml.migration.util.MMMigration

if "%2" == "" goto execute
if /i "%2" == "-javaPath" set JAVA_EXE="%3"
if /i "%2" == "-monitorPlugins" set MONITOR_PLUGIN_HOME=%3
if "%4" == "" goto execute
if /i "%4" == "-javaPath" set JAVA_EXE="%5"
if /i "%4" == "-monitorPlugins" set MONITOR_PLUGIN_HOME=%5

goto execute

:execute
set MIGRATION_JAR=%MONITOR_PLUGIN_HOME%/com.ibm.wbimonitor.xml.migration_6.1.0/runtime/mmMigration.jar
set VALIDATION_JAR=%MONITOR_PLUGIN_HOME%/com.ibm.wbimonitor.xml.validator_6.1.0.jar
set EXPRESSION_JAR=%MONITOR_PLUGIN_HOME%/com.ibm.wbimonitor.xml.expression_6.1.0/com.ibm.wbimonitor.xml.expression.runtime.jar
set MIGRATION_CP=%MIGRATION_JAR%;%VALIDATION_JAR%;%EXPRESSION_JAR%
"%JAVA_EXE%" -classpath %MIGRATION_CP% %MM_MIGRATION% %MM_TO_MIGRATE%
popd
goto end

:showusage
echo Usage: migrate.bat *MM_FILE_OR_DIRECTORY* [-javaPath *JAVA_EXE_PATH*] [-monitorPlugins *MONITOR_PLUGINS_HOME*]
echo The parameters shown in square brackets [] are optional and they can be in any order. If two parameters are in the same set of brackets, you must specify both or neither. If you do not specify a parameter, the default setting, which assumes a typical installation, is used.
echo For example(file): migrate.bat c:/monitormodels/myMonitorModel.mm
echo for example(directory): migrate.bat c:/monitormodels/ -javaPath c:/java15/bin/java.exe -monitorPlugins C:/IBM/SDP70Shared/plugins
goto end

:end

endlocal