<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:xalan="http://xml.apache.org/xalan"
		xmlns:in="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.2/mm"
		xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm"
		xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes"
		xmlns:mutil="xalan://com.ibm.wbimonitor.xml.migration.util.MigrationUtils"
  		extension-element-prefixes="mutil">
  	<xsl:import href="migrationMDM.xsl"/> 
  	<xsl:import href="migrationKPI.xsl"/> 
  	<xsl:import href="migrationDMM.xsl"/> 
  	<xsl:import href="migrationVM.xsl"/> 
  	<xsl:import href="migrationEM.xsl"/>   	  	
	<xsl:output method="xml" indent="yes" xalan:indent-amount="4"/>
	<xsl:strip-space elements="*"/>
	
	<xsl:template match="/">
		<xsl:element name="mm:monitor">
			<!--  copy all the namespaces -->
			<xsl:for-each select="in:monitor/namespace::*[not(name()='mm')]">
				<xsl:copy/>
			</xsl:for-each>
			<!-- add new cbe namespace. xslt v1.0 doesn't support creation of namespace.  -->
			<xsl:for-each select="document('migrationSupport.xml')/support/namespace::*">
				<xsl:copy/>
			</xsl:for-each>
			<xsl:attribute name="xsi:schemaLocation">http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm monitor.xsd</xsl:attribute>
			<xsl:attribute name="displayName">
				<xsl:value-of select="in:monitor/@displayName"/>
			</xsl:attribute>
			<xsl:attribute name="id">
				<xsl:value-of select="in:monitor/@id"/>
			</xsl:attribute>
			<xsl:attribute name="timestamp">
				<xsl:value-of select="in:monitor/@timestamp" />
			</xsl:attribute>
			<xsl:if test="in:monitor/description">
				<xsl:element name="description">
					<xsl:value-of select="in:monitor/description"/>
				</xsl:element>
			</xsl:if>
			<xsl:apply-templates select="in:monitor/monitorDetailsModel" />
			
			<xsl:apply-templates select="in:monitor/kpiModel"/>
			
			<xsl:apply-templates select="in:monitor/dataMartModel"/>
							
			<xsl:apply-templates select="in:monitor/visualModel"/>
			
			<xsl:choose>
				<xsl:when test="in:monitor/eventModel">
					<xsl:apply-templates select="in:monitor/eventModel"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="eventModel">
						<xsl:attribute name="id">EM</xsl:attribute>
						<xsl:element name="import">
	   		 				<xsl:attribute name="namespace">http://www.ibm.com/AC/commonbaseevent1_0_1</xsl:attribute>
	   				 	</xsl:element>
	   				</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
			
		</xsl:element>
	</xsl:template>
	
</xsl:stylesheet>