<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:xalan="http://xml.apache.org/xalan"
		xmlns:in="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.2/mm"
		xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm"
		xmlns:mutil="xalan://com.ibm.wbimonitor.xml.migration.util.MigrationUtils"
  		extension-element-prefixes="mutil">
	
	<!-- dataMartModel -->
	<xsl:template match="in:monitor/dataMartModel">
		<xsl:element name="dimensionalModel">
			<xsl:copy-of select="@*"/>
			<xsl:if test="description">
				<xsl:element name="description">
					<xsl:value-of select="description"/>
				</xsl:element>
			</xsl:if>
			<xsl:for-each select="cube">
				<xsl:element name="cube">
					<xsl:copy-of select="@*"/>
					<xsl:if test="description">
						<xsl:element name="description">
							<xsl:value-of select="description"/>
						</xsl:element>
					</xsl:if>
					<xsl:variable name="cubeId">
						<xsl:value-of select="@id" />
					</xsl:variable>
					<xsl:if test="factTable">
						<xsl:variable name="factTableId">
							<xsl:value-of select="factTable/@id" />
						</xsl:variable>
						<xsl:for-each select="factTable/attribute">
							<xsl:variable name="dummy">
								<xsl:value-of select="mutil:cacheSource($cubeId, $factTableId, @id, @attributeSource)"/>
							</xsl:variable>
						</xsl:for-each>
					</xsl:if>
	      			<xsl:for-each select="measure">
	      				<xsl:element name="measure">
							<xsl:copy-of select="@*"/>
							<xsl:attribute name="source">
								<xsl:value-of select="mutil:getSource(@source)"/>
							</xsl:attribute>
							<xsl:if test="description">
								<xsl:element name="description">
									<xsl:value-of select="description"/>
								</xsl:element>
							</xsl:if>
						</xsl:element>
	      			</xsl:for-each>
		      		<xsl:for-each select="dimension">
	      				<xsl:element name="dimension">
							<xsl:copy-of select="@*"/>
							<xsl:if test="description">
								<xsl:element name="description">
									<xsl:value-of select="description"/>
								</xsl:element>
							</xsl:if>
							<xsl:for-each select="attribute">
								<xsl:element name="attribute">
									<!-- remove isPartOfDimensionKey attribute -->
									<xsl:copy-of select="@*[not(name()='isPartOfDimensionKey')]"/>
									<xsl:if test="description">
										<xsl:element name="description">
											<xsl:value-of select="description"/>
										</xsl:element>
									</xsl:if>
	      						</xsl:element>
							</xsl:for-each>
						</xsl:element>
	      			</xsl:for-each>
	      		</xsl:element>
	   		 </xsl:for-each>
	   	</xsl:element>
	</xsl:template>

</xsl:stylesheet>