<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:xalan="http://xml.apache.org/xalan"
		xmlns:in="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.2/mm"
		xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm"
		xmlns:mutil="xalan://com.ibm.wbimonitor.xml.migration.util.MigrationUtils"
  		extension-element-prefixes="mutil">
	
	<!-- visualModel -->
	<xsl:template match="in:monitor/visualModel">
		<xsl:element name="visualModel">
			<xsl:copy-of select="@*"/>
			<xsl:if test="description">
				<xsl:element name="description">
					<xsl:value-of select="description"/>
				</xsl:element>
			</xsl:if>
			<xsl:for-each select="visualization">
				<xsl:element name="visualization">
					<xsl:copy-of select="@*"/>
					<xsl:if test="shapeSets">
						<xsl:element name="shapeSets">
							<xsl:for-each select="shapeSets/shapeSet">
								<xsl:element name="shapeSet">
									<xsl:copy-of select="@*"/>
									<xsl:if test="description">
										<xsl:element name="description">
											<xsl:value-of select="description"/>
										</xsl:element>
									</xsl:if>
									<xsl:element name="shapes">
										<xsl:copy-of select="shapes/node()"/>
									</xsl:element>
								</xsl:element>
							</xsl:for-each>
						</xsl:element>
					</xsl:if>
					<xsl:if test="actions">
						<xsl:element name="actions">
							<xsl:for-each select="actions/setColor">
								<xsl:element name="setColor">
									<xsl:copy-of select="@*"/>
									<xsl:for-each select="shapeSet">
										<xsl:element name="shapeSet">
											<xsl:copy-of select="@*"/>
										</xsl:element>
									</xsl:for-each>
								</xsl:element>
							</xsl:for-each>
							<xsl:for-each select="actions/setText">
								<xsl:element name="setText">
									<xsl:copy-of select="@*"/>
									<xsl:if test="shapeSet">
										<xsl:element name="shapeSet">
											<xsl:copy-of select="shapeSet/@*"/>
										</xsl:element>
									</xsl:if>
									<xsl:if test="textPosition">
										<xsl:element name="textPosition">
											<xsl:copy-of select="textPosition/@*"/>
										</xsl:element>
									</xsl:if>
								</xsl:element>
							</xsl:for-each>
							<xsl:for-each select="actions/hideShapes">
								<xsl:element name="hideShapes">
									<xsl:copy-of select="@*"/>
									<xsl:for-each select="shapeSet">
										<xsl:element name="shapeSet">
											<xsl:copy-of select="@*"/>
										</xsl:element>
									</xsl:for-each>
								</xsl:element>
							</xsl:for-each>
							<xsl:for-each select="actions/setDiagramLink">
								<xsl:element name="setDiagramLink">
									<xsl:copy-of select="@*"/>
									<xsl:for-each select="shapeSet">
										<xsl:element name="shapeSet">
											<xsl:copy-of select="@*"/>
										</xsl:element>
									</xsl:for-each>
								</xsl:element>
							</xsl:for-each>
						</xsl:element>
					</xsl:if>
					<xsl:element name="svgDocument">
						<xsl:element name="import">
							<xsl:copy-of select="svgDocument/import/@*"/>
						</xsl:element>
					</xsl:element>
	      			</xsl:element>
	   		 </xsl:for-each>
	   	</xsl:element>
	</xsl:template>

</xsl:stylesheet>